org.keycloak.storage

## Enum UserStorageProvider.EditMode

- java.lang.Object
- - java.lang.Enum<UserStorageProvider.EditMode>
  - - org.keycloak.storage.UserStorageProvider.EditMode

- All Implemented Interfaces:
    Serializable, Comparable<UserStorageProvider.EditMode>
  Enclosing interface:
    UserStorageProvider

      public static enum UserStorageProvider.EditMode
      extends Enum<UserStorageProvider.EditMode>

  Optional type that can be used by implementations to describe edit mode of user storage

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_ONLY` user storage is read-only
    `UNSYNCED` updates to user are stored locally and not synced with user storage.
    `WRITABLE` user storage is writable

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserStorageProvider.EditMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserStorageProvider.EditMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_ONLY

          public static final UserStorageProvider.EditMode READ_ONLY

      user storage is read-only

    - #### WRITABLE

          public static final UserStorageProvider.EditMode WRITABLE

      user storage is writable

    - #### UNSYNCED

          public static final UserStorageProvider.EditMode UNSYNCED

      updates to user are stored locally and not synced with user storage.

  - ### Method Detail

    - #### values

          public static UserStorageProvider.EditMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserStorageProvider.EditMode c : UserStorageProvider.EditMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserStorageProvider.EditMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.